interface ICloneOptions {
    destination?: string;
    host?: string;
}
/**
 * Clones the given git repository into the given directory, within the given
 * working directory.
 */
export declare function clone(repoName: string, cwd: string, { destination, host }?: ICloneOptions): Promise<undefined>;
/**
 * Check out the given branch
 */
export declare function checkout(branchName: string, cwd: string): Promise<void>;
/**
 * Check out a new branch with the given name
 */
export declare function checkoutNewBranch(branchName: string, cwd: string): Promise<void>;
/**
 * Check if the given git working directory is clean
 */
export declare function isCleanWorkingDirectory(cwd: string): Promise<boolean>;
/**
 * Update a remote branch with the latest commits in the local branch
 */
export declare function updateRemoteBranch(branchName: string, remote: string, cwd: string, force?: boolean): Promise<string>;
export declare function getRecentBranches(cwd: string, numberOfBranches?: number): Promise<string[]>;
export {};
